> For the complete documentation index, see [llms.txt](https://docs.soraco.co/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soraco.co/docs/api-reference/license-wizard-user-control/events.md).

# Events

<table data-full-width="true"><thead><tr><th width="340">Name</th><th>Description</th></tr></thead><tbody><tr><td>QlmActivate</td><td>This event is triggered when the user activates the license. Details about the success of the activation as well as the keys that were activated can be retrieved from the ActivateEventArgs argument</td></tr><tr><td>QlmBuyNow</td><td>This event is triggered when the user clicks the Buy Now button</td></tr><tr><td>QlmCancel</td><td>This event is triggered when the user clicks the Cancel button</td></tr><tr><td>QlmClose</td><td>This event is triggered when the user clicks the Close button. You would typically need to implement this event to close the Form that is hosting this .NET control.</td></tr><tr><td>QlmDeactivate</td><td>This event is triggered when the user clicks the Deactivate button</td></tr><tr><td>QlmEULAEvent</td><td>This event is triggered when the user clicks the EULA link</td></tr><tr><td>QlmHowToGetComputerkey</td><td>This event is triggered when the user clicks the How to get a computer key link</td></tr><tr><td>QlmRegisterFloatingLicense</td><td>This event is triggered when the user clicks to register a floating license DB.</td></tr><tr><td>QlmTry</td><td>This event is triggered when the user clicks the Try button</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/license-wizard-user-control/events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
